<?php

namespace Drupal\gitlab_api\Event;

use Drupal\webform\WebformSubmissionInterface;
use Symfony\Component\EventDispatcher\Event;

/**
 * Class CreateProject Event
 *
 * @package Drupal\gitlab_api\Event
 */
class CreateProject extends Event {

  /**
   * @var \Drupal\webform\WebformSubmissionInterface
   */
  protected $webformSubmission;

  /**
   * @var array
   */
  protected $project;

  /**
   * CreateProject Event constructor.
   *
   * @param \Drupal\webform\WebformSubmissionInterface $webform_submission
   * @param array $project
   */
  public function __construct(WebformSubmissionInterface $webform_submission, array $project) {
    $this->webformSubmission = $webform_submission;
    $this->project = $project;
  }

  /**
   * @return \Drupal\webform\WebformSubmissionInterface
   */
  public function getWebformSubmission(): WebformSubmissionInterface {
    return $this->webformSubmission;
  }

  /**
   * @return array
   */
  public function getProject(): array {
    return $this->project;
  }

}
